package kadai;
import java.util.AbstractSet;
import java.util.Iterator;

import kaitou.TDUIterator;
public class TDUSet<E> extends AbstractSet<E>{
	private E[] set;
	public TDUSet(E[] array){
		set = array;
	}
	@Override
	public int size(){
		return set.length;
	}
	@Override
	public Iterator<E> iterator(){
		return new TDUIterator<E>(set);
	}
}
